## svtplay-dl 0.9.2014.04.27

=== Makefile ===
all: svtplay-dl

.PHONY: test cover pylint svtplay-dl

VERSION = 0.9

PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1

# Compress the manual if MAN_GZIP is set to y,
ifeq ($(MAN_GZIP),y)
    MANFILE_EXT = .gz
endif
MANFILE = svtplay-dl.1$(MANFILE_EXT)

# As pod2man is a perl tool, we have to jump through some hoops
# to remove references to perl.. :-)
POD2MAN ?= pod2man --section 1 --utf8 -c "svtplay-dl manual" \
           -r "svtplay-dl $(VERSION)"

PYTHON ?= /usr/bin/env python
export PYTHONPATH=lib

# Disable convention, refactor, and TODO warnings
PYLINT_OPTS = -d I -d C -d R -d W0511

# If you don't have a python3 environment (e.g. mock for py3 and
# nosetests3), you can remove the -3 flag.
TEST_OPTS = -2 -3

install: svtplay-dl $(MANFILE)
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)
	install -m 755 svtplay-dl $(DESTDIR)$(BINDIR)
	install -m 755 $(MANFILE) $(DESTDIR)$(MANDIR)

svtplay-dl: $(PYFILES)
	$(MAKE) -C lib
	mv lib/svtplay-dl .

svtplay-dl.1: svtplay-dl.pod
	rm -f $@
	$(POD2MAN) $< $@

svtplay-dl.1.gz: svtplay-dl.1
	rm -f $@
	gzip -9 svtplay-dl.1

test:
	sh run-tests.sh $(TEST_OPTS)

cover:
	sh run-tests.sh -C

pylint:
	find lib -name '*.py' -a '!' -path '*/tests/*' | xargs pylint $(PYLINT_OPTS)

clean:
	$(MAKE) -C lib clean
	rm -f svtplay-dl
	rm -f $(MANFILE)

=== lib/Makefile ===
all: svtplay-dl

clean:
	find . -name '*.pyc' -exec rm {} \;
	rm -f svtplay-dl

export PACKAGES = svtplay_dl \
                 svtplay_dl.fetcher \
                 svtplay_dl.utils \
                 svtplay_dl.service
export PYFILES = $(addsuffix /*.py,$(subst .,/,$(PACKAGES)))

PYTHON ?= /usr/bin/env python

svtplay-dl: $(PYFILES)
	zip --quiet svtplay-dl $(PYFILES)
	zip --quiet --junk-paths svtplay-dl svtplay_dl/__main__.py
	echo '#!$(PYTHON)' > svtplay-dl
	cat svtplay-dl.zip >> svtplay-dl
	rm svtplay-dl.zip
	chmod a+x svtplay-dl

=== debian/changelog ===
svtplay-dl (0.9.2014.04.27-1) unstable; urgency=low

  * Imported Upstream version 0.9.2014.04.01

 -- Olof Johansson <olof@ethup.se>  Sun, 27 Apr 2014 17:52:27 +0200

svtplay-dl (0.9.2014.02.15-1) unstable; urgency=low

  * Initial release. (Closes: #709922)

 -- Olof Johansson <olof@ethup.se>  Sat, 15 Feb 2014 11:48:10 +0200

=== debian/control ===
Source: svtplay-dl
Section: utils
Priority: optional
Maintainer: Olof Johansson <olof@ethup.se>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), zip, perl,
               python (>= 2.6.6-3~), python-nose, python-mock
Homepage: https://github.com/spaam/svtplay-dl
Vcs-Git: git://github.com/olof/debian-svtplay-dl.git
Vcs-Browser: https://github.com/olof/debian-svtplay-dl

Package: svtplay-dl
Depends: rtmpdump (>= 2.4), python, python-crypto,
         ${misc:Depends}, ${python:Depends}
Architecture: all
Description: program to download videos from video on demand sites
 svtplay-dl is a command line application for downloading videos
 from various video on demand sites (sometimes called "play"
 services). Currently supports some 15+ service, including
 SVTPlay, HBO, twitch.tv, vimeo and many more.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

# This overrides upstream's default shebang for the generated svtplay-dl
# executable, to comform with Debian's Python policy (1.4.2).
export PYTHON=/usr/bin/python

export MAKEFLAGS=-e
export TEST_OPTS=-2

%:
	dh $@ --with python2

## svtplay-dl 0.9.2014.10.13

=== Makefile ===
--- 
+++ 
@@ -23,11 +23,11 @@
 export PYTHONPATH=lib
 
 # Disable convention, refactor, and TODO warnings
-PYLINT_OPTS = -d I -d C -d R -d W0511
+PYLINT_OPTS = --report=no -d I -d C -d R -d W0511
 
 # If you don't have a python3 environment (e.g. mock for py3 and
 # nosetests3), you can remove the -3 flag.
-TEST_OPTS = -2 -3
+TEST_OPTS ?= -2 -3
 
 install: svtplay-dl $(MANFILE)
 	install -d $(DESTDIR)$(BINDIR)

=== lib/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 export PACKAGES = svtplay_dl \
                  svtplay_dl.fetcher \
                  svtplay_dl.utils \
-                 svtplay_dl.service
+                 svtplay_dl.service \
+                 svtplay_dl.subtitle
 export PYFILES = $(addsuffix /*.py,$(subst .,/,$(PACKAGES)))
 
 PYTHON ?= /usr/bin/env python

=== debian/changelog ===
svtplay-dl (0.9.2014.10.13-1) unstable; urgency=medium

  * Imported Upstream version 0.9.2014.10.13
  * Bump Standards-Version (3.9.6)

 -- Olof Johansson <olof@ethup.se>  Fri, 17 Oct 2014 18:01:15 +0200

svtplay-dl (0.9.2014.08.28-1) unstable; urgency=medium

  [ Olof Johansson ]
  * Imported Upstream version 0.9.2014.08.28 (Closes: #760738)
   - including some additional backported bug fixes

 -- Olof Johansson <olof@ethup.se>  Sun, 07 Sep 2014 15:52:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Olof Johansson <olof@ethup.se>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), zip, perl,
                python (>= 2.6.6-3~), python-nose, python-mock
 Homepage: https://github.com/spaam/svtplay-dl

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 # executable, to comform with Debian's Python policy (1.4.2).
 export PYTHON=/usr/bin/python
 
-export MAKEFLAGS=-e
+# We don't want to build-depend on python2 *and* python3, so we override
+# upstream's default of running the test suite on both.
 export TEST_OPTS=-2
 
 %:

## svtplay-dl 0.10.2015.05.24

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
 all: svtplay-dl
 
-.PHONY: test cover pylint svtplay-dl
+.PHONY: test cover doctest pylint svtplay-dl \
+        release clean_releasedir $(RELEASE_DIR)
 
-VERSION = 0.9
+VERSION = 0.10
+RELEASE = $(VERSION).$(shell date +%Y.%m.%d)
+RELEASE_DIR = svtplay-dl-$(RELEASE)
+LATEST_RELEASE = 0.10.2015.05.24
 
 PREFIX ?= /usr/local
 BINDIR = $(PREFIX)/bin
@@ -22,9 +26,6 @@
 PYTHON ?= /usr/bin/env python
 export PYTHONPATH=lib
 
-# Disable convention, refactor, and TODO warnings
-PYLINT_OPTS = --report=no -d I -d C -d R -d W0511
-
 # If you don't have a python3 environment (e.g. mock for py3 and
 # nosetests3), you can remove the -3 flag.
 TEST_OPTS ?= -2 -3
@@ -33,7 +34,7 @@
 	install -d $(DESTDIR)$(BINDIR)
 	install -d $(DESTDIR)$(MANDIR)
 	install -m 755 svtplay-dl $(DESTDIR)$(BINDIR)
-	install -m 755 $(MANFILE) $(DESTDIR)$(MANDIR)
+	install -m 644 $(MANFILE) $(DESTDIR)$(MANDIR)
 
 svtplay-dl: $(PYFILES)
 	$(MAKE) -C lib
@@ -54,7 +55,36 @@
 	sh run-tests.sh -C
 
 pylint:
-	find lib -name '*.py' -a '!' -path '*/tests/*' | xargs pylint $(PYLINT_OPTS)
+	$(MAKE) -C lib pylint
+
+doctest: svtplay-dl
+	sh scripts/diff_man_help.sh
+
+$(RELEASE_DIR): clean_releasedir
+	mkdir svtplay-dl-$(RELEASE)
+	cd svtplay-dl-$(RELEASE) && git clone -b master ../ . && make svtplay-dl
+
+clean_releasedir:
+	rm -rf $(RELEASE_DIR)
+
+release: $(RELEASE_DIR) release-test
+	set -e; cd $(RELEASE_DIR) && \
+		sed -i -r -e 's/^(LATEST_RELEASE = ).*/\1$(RELEASE)/' Makefile;\
+		sed -i -r -e 's/^(__version__ = ).*/\1"$(RELEASE)"/' lib/svtplay_dl/__init__.py;\
+		make svtplay-dl; \
+		git add svtplay-dl Makefile lib/svtplay_dl/__init__.py; \
+		git commit -m "Prepare for release $(RELEASE)";
+	(cd $(RELEASE_DIR) && git format-patch --stdout HEAD^) | git am
+
+	git tag -m "New version $(RELEASE)" \
+		-m "$$(git log --oneline $(LATEST_RELEASE)..HEAD^)" \
+		$(RELEASE)
+
+	make clean_releasedir
+
+release-test: $(RELEASE_DIR)
+	make -C $(RELEASE_DIR) test
+	make -C $(RELEASE_DIR) doctest
 
 clean:
 	$(MAKE) -C lib clean

=== lib/Makefile ===
--- 
+++ 
@@ -1,8 +1,13 @@
+PYLINT_OPTS = --report=no -d I -d C -d R -d W0511
+
 all: svtplay-dl
 
 clean:
 	find . -name '*.pyc' -exec rm {} \;
 	rm -f svtplay-dl
+
+pylint:
+	pylint $(PYLINT_OPTS) svtplay_dl
 
 export PACKAGES = svtplay_dl \
                  svtplay_dl.fetcher \
@@ -14,8 +19,8 @@
 PYTHON ?= /usr/bin/env python
 
 svtplay-dl: $(PYFILES)
-	zip --quiet svtplay-dl $(PYFILES)
-	zip --quiet --junk-paths svtplay-dl svtplay_dl/__main__.py
+	zip -X --quiet svtplay-dl $(PYFILES)
+	zip -X --quiet --junk-paths svtplay-dl svtplay_dl/__main__.py
 	echo '#!$(PYTHON)' > svtplay-dl
 	cat svtplay-dl.zip >> svtplay-dl
 	rm svtplay-dl.zip

=== debian/changelog ===
svtplay-dl (0.10.2015.05.24-1) unstable; urgency=medium

  * Imported Upstream version 0.10.2015.05.24
   - Move back to unstable, now that Jessie is released.
  * build: make manpage generation reproducible
   - Despite claims in previous changelog entry, this was not
     completely fixed. It should be now.

 -- Olof Johansson <olof@ethup.se>  Thu, 28 May 2015 18:33:13 +0200

svtplay-dl (0.10.2015.03.25-1) experimental; urgency=medium

  * Imported Upstream version 0.10.2015.03.25 (Closes: #780426)
   - With this release, build show be reproducible.

 -- Olof Johansson <olof@ethup.se>  Sun, 29 Mar 2015 12:36:30 +0200

svtplay-dl (0.10.2015.01.28-1) experimental; urgency=medium

  * Imported Upstream version 0.10.2015.01.28
  * debian/rules: don't do --with python2, unnecessary

 -- Olof Johansson <olof@ethup.se>  Sun, 08 Mar 2015 13:40:44 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
 Vcs-Browser: https://github.com/olof/debian-svtplay-dl
 
 Package: svtplay-dl
-Depends: rtmpdump (>= 2.4), python, python-crypto,
-         ${misc:Depends}, ${python:Depends}
+Depends: rtmpdump (>= 2.4), python, python-crypto, ${misc:Depends}
 Architecture: all
 Description: program to download videos from video on demand sites
  svtplay-dl is a command line application for downloading videos

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 export TEST_OPTS=-2
 
 %:
-	dh $@ --with python2
+	dh $@

## svtplay-dl 0.20.2015.10.08

=== debian/changelog ===
svtplay-dl (0.20.2015.10.08-1) unstable; urgency=medium

  * Imported Upstream version 0.20.2015.10.08

 -- Olof Johansson <olof@ethup.se>  Tue, 13 Oct 2015 23:57:14 +0200

svtplay-dl (0.20.2015.09.13-1) unstable; urgency=medium

  * Imported Upstream version 0.20.2015.09.13
   - This release adds a dependency on the python-requests package.

 -- Olof Johansson <olof@ethup.se>  Sun, 13 Sep 2015 23:57:16 +0200

svtplay-dl (0.10.2015.08.24-1) unstable; urgency=medium

  * Imported Upstream version 0.10.2015.08.24

 -- Olof Johansson <olof@ethup.se>  Sat, 05 Sep 2015 21:54:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 Vcs-Browser: https://github.com/olof/debian-svtplay-dl
 
 Package: svtplay-dl
-Depends: rtmpdump (>= 2.4), python, python-crypto, ${misc:Depends}
+Depends: rtmpdump (>= 2.4), python, python-crypto, python-requests,
+         ${misc:Depends}
 Architecture: all
 Description: program to download videos from video on demand sites
  svtplay-dl is a command line application for downloading videos

## svtplay-dl 0.20.2015.10.25

=== Makefile ===
all: svtplay-dl

.PHONY: test cover doctest pylint svtplay-dl \
        release clean_releasedir $(RELEASE_DIR)

# These variables describe the latest release:
VERSION = 0.20
LATEST_RELEASE_DATE = 2015.10.25
LATEST_RELEASE = $(VERSION).$(LATEST_RELEASE_DATE)

# If we build a new release, this is what it will be called:
NEW_RELEASE_DATE = $(shell date +%Y.%m.%d)
NEW_RELEASE = $(VERSION).$(NEW_RELEASE_DATE)
RELEASE_DIR = svtplay-dl-$(NEW_RELEASE)

PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1

# Compress the manual if MAN_GZIP is set to y,
ifeq ($(MAN_GZIP),y)
    MANFILE_EXT = .gz
endif
MANFILE = svtplay-dl.1$(MANFILE_EXT)

# As pod2man is a perl tool, we have to jump through some hoops
# to remove references to perl.. :-)
POD2MAN ?= pod2man --section 1 --utf8 \
                   --center "svtplay-dl manual" \
                   --release "svtplay-dl $(VERSION)" \
                   --date "$(LATEST_RELEASE_DATE)"

PYTHON ?= /usr/bin/env python
export PYTHONPATH=lib

# If you don't have a python3 environment (e.g. mock for py3 and
# nosetests3), you can remove the -3 flag.
TEST_OPTS ?= -2 -3

install: svtplay-dl $(MANFILE)
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)
	install -m 755 svtplay-dl $(DESTDIR)$(BINDIR)
	install -m 644 $(MANFILE) $(DESTDIR)$(MANDIR)

svtplay-dl: $(PYFILES)
	$(MAKE) -C lib
	mv lib/svtplay-dl .

svtplay-dl.1: svtplay-dl.pod
	rm -f $@
	$(POD2MAN) $< $@

svtplay-dl.1.gz: svtplay-dl.1
	rm -f $@
	gzip -9 svtplay-dl.1

test:
	sh scripts/run-tests.sh $(TEST_OPTS)

cover:
	sh scripts/run-tests.sh -C

pylint:
	$(MAKE) -C lib pylint

doctest: svtplay-dl
	sh scripts/diff_man_help.sh

$(RELEASE_DIR): clean_releasedir
	mkdir $(RELEASE_DIR)
	cd $(RELEASE_DIR) && git clone -b master ../ . && \
		make svtplay-dl $(MANFILE)

clean_releasedir:
	rm -rf $(RELEASE_DIR)

release: $(RELEASE_DIR) release-test
	set -e; cd $(RELEASE_DIR) && \
		sed -i -re 's/^(LATEST_RELEASE_DATE = ).*/\1$(NEW_RELEASE_DATE)/' Makefile;\
		sed -i -re 's/^(__version__ = ).*/\1"$(NEW_RELEASE)"/' lib/svtplay_dl/__init__.py;\
		make svtplay-dl VERSION=$(NEW_RELEASE); \
		git add svtplay-dl Makefile lib/svtplay_dl/__init__.py; \
		git commit -m "Prepare for release $(NEW_RELEASE)";
	(cd $(RELEASE_DIR) && git format-patch --stdout HEAD^) | git am

	git tag -m "New version $(NEW_RELEASE)" \
		-m "$$(git log --oneline $$(git describe --tags --abbrev=0 HEAD^)..HEAD^)" \
		$(NEW_RELEASE)

	make clean_releasedir

release-test: $(RELEASE_DIR)
	make -C $(RELEASE_DIR) test
	make -C $(RELEASE_DIR) doctest

clean:
	$(MAKE) -C lib clean
	rm -f svtplay-dl
	rm -f $(MANFILE)

=== lib/Makefile ===
PYLINT_OPTS = --report=no -d I -d C -d R -d W0511

all: svtplay-dl

clean:
	find . -name '*.pyc' -exec rm {} \;
	rm -f svtplay-dl

pylint:
	pylint $(PYLINT_OPTS) svtplay_dl

export PACKAGES = svtplay_dl \
                 svtplay_dl.fetcher \
                 svtplay_dl.utils \
                 svtplay_dl.service \
                 svtplay_dl.subtitle
export PYFILES = $(sort $(addsuffix /*.py,$(subst .,/,$(PACKAGES))))

PYTHON ?= /usr/bin/env python

VERSION = $(shell git describe 2>/dev/null || $(LATEST_RELEASE)-unknown)

svtplay-dl: $(PYFILES)
	@# Verify that there's no .build already \
	! [ -d .build ] || { \
		echo "ERROR: build already in progress? (or remove $(PWD)/.build/)"; \
		exit 1; \
	}; \
	mkdir -p .build

	@# Stage the files in .build for postprocessing
	for py in $(PYFILES); do \
		install -d ".build/$${py%/*}"; \
		install $$py .build/$$py; \
	done

	# Add git version info to __version__, seen in --version
	sed -i -e 's/^__version__ = "\([^"]\+\)"$$/__version__ = "$(VERSION)"/' \
		.build/svtplay_dl/__init__.py

	@# reset timestamps, to avoid non-determinism in zip file
	find .build/ -exec touch -m -t 198001010000 {} \;

	(cd .build && zip -X --quiet svtplay-dl $(PYFILES))
	(cd .build && zip -X --quiet --junk-paths svtplay-dl svtplay_dl/__main__.py)

	echo '#!$(PYTHON)' > svtplay-dl
	cat .build/svtplay-dl.zip >> svtplay-dl
	rm -rf .build
	chmod a+x svtplay-dl

=== debian/changelog ===
svtplay-dl (0.20.2015.10.25-1ubuntu1) xenial; urgency=medium

  * Build-depend on python-requests to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 02 Nov 2015 23:31:39 -0500

svtplay-dl (0.20.2015.10.25-1) unstable; urgency=medium

  * Imported Upstream version 0.20.2015.10.25
  * make: Make it possible to override VERSION
  * debian/rules: Override VERSION, as seen in --version

 -- Olof Johansson <olof@ethup.se>  Mon, 26 Oct 2015 00:03:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: svtplay-dl
 Section: utils
 Priority: optional
-Maintainer: Olof Johansson <olof@ethup.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Olof Johansson <olof@ethup.se>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), zip, perl,
-               python (>= 2.6.6-3~), python-nose, python-mock
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), zip, perl,
+               python (>= 2.6.6-3~), python-nose, python-mock, python-requests
 Homepage: https://github.com/spaam/svtplay-dl
 Vcs-Git: git://github.com/olof/debian-svtplay-dl.git
 Vcs-Browser: https://github.com/olof/debian-svtplay-dl

## svtplay-dl 0.20.2015.11.29

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # These variables describe the latest release:
 VERSION = 0.20
-LATEST_RELEASE_DATE = 2015.10.25
+LATEST_RELEASE_DATE = 2015.11.29
 LATEST_RELEASE = $(VERSION).$(LATEST_RELEASE_DATE)
 
 # If we build a new release, this is what it will be called:

=== debian/changelog ===
svtplay-dl (0.20.2015.11.29-1) unstable; urgency=medium

  * Imported Upstream version 0.20.2015.11.29

 -- Olof Johansson <olof@ethup.se>  Sun, 29 Nov 2015 23:51:39 +0100

svtplay-dl (0.20.2015.10.25-2) unstable; urgency=medium

  * add missing python-requests build-depends

 -- Olof Johansson <olof@ethup.se>  Thu, 05 Nov 2015 19:16:29 +0100

## svtplay-dl 0.30.2016.01.10

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 0.20
-LATEST_RELEASE_DATE = 2015.11.29
+VERSION = 0.30
+LATEST_RELEASE_DATE = 2016.01.10
 LATEST_RELEASE = $(VERSION).$(LATEST_RELEASE_DATE)
 
 # If we build a new release, this is what it will be called:
@@ -70,7 +70,7 @@
 $(RELEASE_DIR): clean_releasedir
 	mkdir $(RELEASE_DIR)
 	cd $(RELEASE_DIR) && git clone -b master ../ . && \
-		make svtplay-dl $(MANFILE)
+		make $(MANFILE)
 
 clean_releasedir:
 	rm -rf $(RELEASE_DIR)
@@ -79,9 +79,8 @@
 	set -e; cd $(RELEASE_DIR) && \
 		sed -i -re 's/^(LATEST_RELEASE_DATE = ).*/\1$(NEW_RELEASE_DATE)/' Makefile;\
 		sed -i -re 's/^(__version__ = ).*/\1"$(NEW_RELEASE)"/' lib/svtplay_dl/__init__.py;\
-		make svtplay-dl VERSION=$(NEW_RELEASE); \
-		git add svtplay-dl Makefile lib/svtplay_dl/__init__.py; \
-		git commit -m "Prepare for release $(NEW_RELEASE)";
+		git add Makefile lib/svtplay_dl/__init__.py; \
+		git commit -m "New release $(NEW_RELEASE)";
 	(cd $(RELEASE_DIR) && git format-patch --stdout HEAD^) | git am
 
 	git tag -m "New version $(NEW_RELEASE)" \

=== lib/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 PYTHON ?= /usr/bin/env python
 
-VERSION = $(shell git describe 2>/dev/null || $(LATEST_RELEASE)-unknown)
+VERSION = $(shell git describe 2>/dev/null || echo $(LATEST_RELEASE)-unknown)
 
 svtplay-dl: $(PYFILES)
 	@# Verify that there's no .build already \

=== debian/changelog ===
svtplay-dl (0.30.2016.01.10-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1539885)

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 05 Feb 2016 13:44:03 +0000

svtplay-dl (0.30.2016.01.10-1) unstable; urgency=medium

  * Imported Upstream version 0.30.2016.01.10

 -- Olof Johansson <olof@ethup.se>  Tue, 12 Jan 2016 20:09:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: svtplay-dl
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olof Johansson <olof@ethup.se>
+Maintainer: Olof Johansson <olof@ethup.se>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), zip, perl,
-               python (>= 2.6.6-3~), python-nose, python-mock, python-requests
+               python (>= 2.6.6-3~), python-nose, python-mock,
+               python-requests
 Homepage: https://github.com/spaam/svtplay-dl
 Vcs-Git: git://github.com/olof/debian-svtplay-dl.git
 Vcs-Browser: https://github.com/olof/debian-svtplay-dl

## svtplay-dl 0.30.2016.02.08

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # These variables describe the latest release:
 VERSION = 0.30
-LATEST_RELEASE_DATE = 2016.01.10
+LATEST_RELEASE_DATE = 2016.02.08
 LATEST_RELEASE = $(VERSION).$(LATEST_RELEASE_DATE)
 
 # If we build a new release, this is what it will be called:

=== debian/changelog ===
svtplay-dl (0.30.2016.02.08-1) unstable; urgency=medium

  * Imported Upstream version 0.30.2016.02.08

 -- Olof Johansson <olof@ethup.se>  Tue, 09 Feb 2016 00:02:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PREFIX=/usr
+DEBIAN_VERSION := $(shell dpkg-parsechangelog -SVersion)
+export VERSION := $(shell x=$(DEBIAN_VERSION); echo $${x%-*}-debian$${x\#\#*-})
 
 # This overrides upstream's default shebang for the generated svtplay-dl
 # executable, to comform with Debian's Python policy (1.4.2).

## svtplay-dl 1.0

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,11 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 0.30
-LATEST_RELEASE_DATE = 2016.02.08
-LATEST_RELEASE = $(VERSION).$(LATEST_RELEASE_DATE)
+VERSION = 1.0
+LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:
-NEW_RELEASE_DATE = $(shell date +%Y.%m.%d)
-NEW_RELEASE = $(VERSION).$(NEW_RELEASE_DATE)
+NEW_RELEASE = $(VERSION)
 RELEASE_DIR = svtplay-dl-$(NEW_RELEASE)
 
 PREFIX ?= /usr/local
@@ -77,7 +75,6 @@
 
 release: $(RELEASE_DIR) release-test
 	set -e; cd $(RELEASE_DIR) && \
-		sed -i -re 's/^(LATEST_RELEASE_DATE = ).*/\1$(NEW_RELEASE_DATE)/' Makefile;\
 		sed -i -re 's/^(__version__ = ).*/\1"$(NEW_RELEASE)"/' lib/svtplay_dl/__init__.py;\
 		git add Makefile lib/svtplay_dl/__init__.py; \
 		git commit -m "New release $(NEW_RELEASE)";

=== debian/changelog ===
svtplay-dl (1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0
  * Depend on ffmpeg/libav because of dash/remux support
  * Bump Standards-Version to 3.9.7

 -- Olof Johansson <olof@ethup.se>  Wed, 30 Mar 2016 23:24:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Olof Johansson <olof@ethup.se>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), zip, perl,
                python (>= 2.6.6-3~), python-nose, python-mock,
                python-requests
@@ -12,7 +12,7 @@
 
 Package: svtplay-dl
 Depends: rtmpdump (>= 2.4), python, python-crypto, python-requests,
-         ${misc:Depends}
+         ffmpeg | libavtools, ${misc:Depends}
 Architecture: all
 Description: program to download videos from video on demand sites
  svtplay-dl is a command line application for downloading videos

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

## If we want to manipulate the version string, this is how it's done.
#DEBIAN_VERSION := $(shell dpkg-parsechangelog -SVersion)
#export VERSION := $(shell x=$(DEBIAN_VERSION); echo $${x%-*}-debian$${x\#\#*-})

## This overrides upstream's default shebang for the generated svtplay-dl
## executable, to comform with Debian's Python policy (1.4.2).
export PYTHON=/usr/bin/python

## We don't want to build-depend on python2 *and* python3, so we override
## upstream's default of running the test suite on both.
export TEST_OPTS=-2

%:
	dh $@

## svtplay-dl 1.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 1.0
+VERSION = 1.1
 LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:
@@ -75,7 +75,7 @@
 
 release: $(RELEASE_DIR) release-test
 	set -e; cd $(RELEASE_DIR) && \
-		sed -i -re 's/^(__version__ = ).*/\1"$(NEW_RELEASE)"/' lib/svtplay_dl/__init__.py;\
+		sed -i -re 's/^\(__version__ = \).*/\1"$(NEW_RELEASE)"/' lib/svtplay_dl/__init__.py;\
 		git add Makefile lib/svtplay_dl/__init__.py; \
 		git commit -m "New release $(NEW_RELEASE)";
 	(cd $(RELEASE_DIR) && git format-patch --stdout HEAD^) | git am

=== debian/changelog ===
svtplay-dl (1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1
  * debian/rules: fix reproducibility with varying locale
  * make: Adjust patch to not include git info in --version
  * debian/rules: Disable git describe output in --version string
  * debian/control: Bump Standards-Version to 3.9.8

 -- Olof Johansson <olof@ethup.se>  Sun, 22 May 2016 01:52:37 +0200

## svtplay-dl 1.2

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 1.1
+VERSION = 1.2
 LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:

=== debian/changelog ===
svtplay-dl (1.2-1) unstable; urgency=medium

  * Imported Upstream version 1.2

 -- Olof Johansson <olof@ethup.se>  Fri, 03 Jun 2016 01:40:40 +0200

## svtplay-dl 1.7

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 1.2
+VERSION = 1.7
 LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:

=== debian/changelog ===
svtplay-dl (1.7-1) unstable; urgency=medium

  * New upstream version 1.7

 -- Olof Johansson <olof@ethup.se>  Tue, 18 Oct 2016 01:10:30 +0200

svtplay-dl (1.6-1) unstable; urgency=medium

  * Imported Upstream version 1.6

 -- Olof Johansson <olof@ethup.se>  Sat, 08 Oct 2016 13:45:24 +0200

svtplay-dl (1.5-1) unstable; urgency=medium

  * Imported Upstream version 1.5

 -- Olof Johansson <olof@ethup.se>  Tue, 04 Oct 2016 14:45:15 +0200

svtplay-dl (1.3-1) unstable; urgency=medium

  * Imported Upstream version 1.3

 -- Olof Johansson <olof@ethup.se>  Sat, 10 Sep 2016 01:29:50 +0200

## svtplay-dl 1.8

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 1.7
+VERSION = 1.8
 LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:

=== debian/changelog ===
svtplay-dl (1.8-1) unstable; urgency=medium

  * New upstream version 1.8

 -- Olof Johansson <olof@ethup.se>  Tue, 15 Nov 2016 20:25:32 +0100

## svtplay-dl 1.9.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 1.8
+VERSION = 1.9.1
 LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:

=== debian/changelog ===
svtplay-dl (1.9.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.9.1. Closes: #853772; LP: #1660733

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 01 Feb 2017 16:20:00 +0100

## svtplay-dl 1.9.4

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 1.9.1
+VERSION = 1.9.4
 LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:

=== debian/changelog ===
svtplay-dl (1.9.4-1) unstable; urgency=medium

  * New upstream version 1.9.4

 -- Olof Johansson <olof@ethup.se>  Mon, 03 Jul 2017 18:52:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Olof Johansson <olof@ethup.se>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), zip, perl,
                python (>= 2.6.6-3~), python-nose, python-mock,
                python-requests

## svtplay-dl 1.9.6

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 1.9.4
+VERSION = 1.9.6
 LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:

=== lib/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYLINT_OPTS = --report=no -d I -d C -d R -d W0511
+PYLINT_OPTS = --reports=no -d I -d C -d R -d W0511
 
 all: svtplay-dl
 
@@ -13,7 +13,8 @@
                  svtplay_dl.fetcher \
                  svtplay_dl.utils \
                  svtplay_dl.service \
-                 svtplay_dl.subtitle
+                 svtplay_dl.subtitle \
+                 svtplay_dl.postprocess
 export PYFILES = $(sort $(addsuffix /*.py,$(subst .,/,$(PACKAGES))))
 
 PYTHON ?= /usr/bin/env python

=== debian/changelog ===
svtplay-dl (1.9.6-1) unstable; urgency=medium

  * New upstream version 1.9.6
  * debian/control: Bump Standards-Version to 4.1.0

 -- Olof Johansson <olof@ethup.se>  Tue, 19 Sep 2017 01:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Olof Johansson <olof@ethup.se>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), zip, perl,
                python (>= 2.6.6-3~), python-nose, python-mock,
                python-requests

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PREFIX=/usr

## Disable basing the --version string on git describe output.
export NO_GIT_VERSION=y

## This overrides upstream's default shebang for the generated svtplay-dl
## executable, to comform with Debian's Python policy (1.4.2).
export PYTHON=/usr/bin/python

## We don't want to build-depend on python2 *and* python3, so we override
## upstream's default of running the test suite on both.
export TEST_OPTS=-2

%:
	dh $@

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/svtplay-dl-$1.tar.gz/ \
  https://github.com/spaam/svtplay-dl/tags .*/v?(\d[\d\.]+)\.tar\.gz

## svtplay-dl 1.9.10

=== debian/changelog ===
svtplay-dl (1.9.10-1) unstable; urgency=medium

  * New upstream version 1.9.10
  * backported bug fix: postprocess: clean up properly when muxing

 -- Olof Johansson <olof@ethup.se>  Sat, 10 Mar 2018 01:06:01 +0100

## svtplay-dl 1.9.11

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
         release clean_releasedir $(RELEASE_DIR)
 
 # These variables describe the latest release:
-VERSION = 1.9.6
+VERSION = 1.9.11
 LATEST_RELEASE = $(VERSION)
 
 # If we build a new release, this is what it will be called:
@@ -43,7 +43,7 @@
 
 svtplay-dl: $(PYFILES)
 	$(MAKE) -C lib
-	mv lib/svtplay-dl .
+	mv -f lib/svtplay-dl .
 
 svtplay-dl.1: svtplay-dl.pod
 	rm -f $@

=== debian/changelog ===
svtplay-dl (1.9.11-1) unstable; urgency=medium

  * New upstream version 1.9.11

 -- Olof Johansson <olof@ethup.se>  Thu, 03 May 2018 00:40:00 +0200

## svtplay-dl 2.1

=== requirements.txt ===
requests
PySocks
pycryptodome
pyyaml

=== debian/changelog ===
svtplay-dl (2.1-1) unstable; urgency=medium

  * New upstream version 2.1
  * Use python3 instead of python2

 -- Olof Johansson <olof@ethup.se>  Fri, 04 Jan 2019 17:02:24 +0100

=== debian/control ===
Source: svtplay-dl
Section: utils
Priority: optional
Maintainer: Olof Johansson <olof@ethup.se>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), git, zip, perl,
               python3 (>= 3.4), python3-nose, python3-mock,
               python3-requests, python3-yaml
Homepage: https://github.com/spaam/svtplay-dl
Vcs-Git: git://github.com/olof/debian-svtplay-dl.git
Vcs-Browser: https://github.com/olof/debian-svtplay-dl

Package: svtplay-dl
Depends: rtmpdump (>= 2.4), python3 (>= 3.4), python3-crypto, python3-requests,
         python3-yaml, ffmpeg | libavtools, ${misc:Depends}
Architecture: all
Description: program to download videos from video on demand sites
 svtplay-dl is a command line application for downloading videos
 from various video on demand sites (sometimes called "play"
 services). Currently supports some 15+ service, including
 SVTPlay, HBO, twitch.tv, vimeo and many more.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 ## This overrides upstream's default shebang for the generated svtplay-dl
 ## executable, to comform with Debian's Python policy (1.4.2).
-export PYTHON=/usr/bin/python
+export PYTHON=/usr/bin/python3
 
 ## We don't want to build-depend on python2 *and* python3, so we override
 ## upstream's default of running the test suite on both.
-export TEST_OPTS=-2
+export TEST_OPTS=-3
 
 %:
 	dh $@

## svtplay-dl 2.4

=== requirements.txt ===
requests
PySocks
cryptography
pyyaml
python-dateutil

=== debian/changelog ===
svtplay-dl (2.4-2) unstable; urgency=medium

  * Improve --version flag handling by automatically overriding it
    with the debian version. The 2.4-1 version said "-unknown".

 -- Olof Johansson <olof@ethup.se>  Sun, 09 Feb 2020 00:11:08 +0200

svtplay-dl (2.4-1) unstable; urgency=medium

  * New upstream version 2.4 (Closes: #925301)
    * debian/control: Remove rtmpdump dependency
    * debian/control: Add suggestion for python3-socks
    * debian/control: Change python3-crypto dep to python3-cryptography
    * debian/control: Add python3-dateutil dependency
    * Generate manpage with python3-argparse-manpage
      * debian/control: Add python3-argparse-manpage build-dep
      * debian/rules: Make use of python3-argparse-manpage
      * __init__: Allow sideeffect free access to argparse object
  * debian/control: Update description

 -- Olof Johansson <olof@ethup.se>  Mon, 14 Oct 2019 08:58:38 +0200

=== debian/control ===
Source: svtplay-dl
Section: utils
Priority: optional
Maintainer: Olof Johansson <olof@ethup.se>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), git, zip, perl,
               python3 (>= 3.4), python3-argparse-manpage, python3-cryptography,
               python3-dateutil, python3-nose, python3-mock, python3-requests,
               python3-yaml
Homepage: https://github.com/spaam/svtplay-dl
Vcs-Git: git://github.com/olof/debian-svtplay-dl.git
Vcs-Browser: https://github.com/olof/debian-svtplay-dl

Package: svtplay-dl
Depends: python3 (>= 3.4), python3-cryptography, python3-dateutil,
         python3-requests, python3-yaml, ffmpeg | libavtools,
         ${misc:Depends}
Suggests: python3-socks
Architecture: all
Description: program to download videos from video sites
 svtplay-dl is a command line application for downloading videos
 from various online video websites, with a special focus on nordic
 or scandinavian services, like SVTplay, TV4play, Sveriges Radio,
 Aftonbladet, DR, NRK, RUV and more.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export LC_ALL=C.UTF-8
 export PREFIX=/usr
@@ -14,5 +16,23 @@
 ## upstream's default of running the test suite on both.
 export TEST_OPTS=-3
 
+export MAKEFLAGS = -e VERSION=$(DEB_VERSION)
+
 %:
 	dh $@
+
+svtplay-dl.1:
+	argparse-manpage \
+		--project-name svtplay-dl \
+		--author 'Johan Andersson' \
+		--author-email 'j@i19.se' \
+		--pyfile lib/svtplay_dl/utils/parser.py \
+		--function gen_parser \
+		--url https://svtplay-dl.se/ \
+		--output svtplay-dl.1
+
+svtplay-dl.1.gz: svtplay-dl.1
+	gzip --best $<
+
+override_dh_installman: svtplay-dl.1.gz
+	dh_installman

## svtplay-dl 2.7

=== debian/changelog ===
svtplay-dl (2.7-1) unstable; urgency=medium

  [ Olof Johansson ]
  * New upstream version 2.7
  * patch: test_postprocess: Avoid depending on network service for tests
  * debian/control: Move debian packaging vcs to salsa
  * debian/control: Update standards version further to 4.5.0, no
    changes needed.
  * debian/rules: Let dh decide how to do manual compression
  * debian/lintian: Drop lintian override for no-upstream-changelog

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.1.1, no changes needed.

 -- Olof Johansson <olof@ethup.se>  Wed, 11 Nov 2020 19:54:01 +0100

## svtplay-dl 2.8

=== debian/changelog ===
svtplay-dl (2.8-1) unstable; urgency=medium

  * New upstream version 2.8

 -- Olof Johansson <olof@ethup.se>  Fri, 20 Nov 2020 03:07:16 +0100

## svtplay-dl 2.9

=== debian/changelog ===
svtplay-dl (2.9-1) unstable; urgency=medium

  * New upstream version 2.9

 -- Olof Johansson <olof@ethup.se>  Tue, 09 Feb 2021 00:59:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Olof Johansson <olof@ethup.se>
-Standards-Version: 4.1.0
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.0), git, zip, perl,
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.17.0), git, zip, perl,
                python3 (>= 3.4), python3-argparse-manpage, python3-cryptography,
                python3-dateutil, python3-nose, python3-mock, python3-requests,
                python3-yaml
 Homepage: https://github.com/spaam/svtplay-dl
-Vcs-Git: git://github.com/olof/debian-svtplay-dl.git
-Vcs-Browser: https://github.com/olof/debian-svtplay-dl
+Vcs-Git: https://salsa.debian.org/olof/svtplay-dl.git
+Vcs-Browser: https://salsa.debian.org/olof/svtplay-dl
 
 Package: svtplay-dl
 Depends: python3 (>= 3.4), python3-cryptography, python3-dateutil,

## svtplay-dl 3.0

=== Makefile ===
all: svtplay-dl

.PHONY: test cover doctest pylint svtplay-dl \
        release clean_releasedir $(RELEASE_DIR)

# These variables describe the latest release:
VERSION = 1.9.11
LATEST_RELEASE = $(VERSION)

# Compress the manual if MAN_GZIP is set to y,
ifeq ($(MAN_GZIP),y)
    MANFILE_EXT = .gz
endif
MANFILE = svtplay-dl.1$(MANFILE_EXT)

# As pod2man is a perl tool, we have to jump through some hoops
# to remove references to perl.. :-)
POD2MAN ?= pod2man --section 1 --utf8 \
                   --center "svtplay-dl manual" \
                   --release "svtplay-dl $(VERSION)" \
                   --date "$(LATEST_RELEASE_DATE)"

PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin

PYTHON ?= /usr/bin/env python3
export PYTHONPATH=lib

# If you don't have a python3 environment (e.g. mock for py3 and
# nosetests3), you can remove the -3 flag.
TEST_OPTS ?= -2 -3

svtplay-dl: $(PYFILES)
	$(MAKE) -C lib
	mv -f lib/svtplay-dl .


svtplay-dl.1: svtplay-dl.pod
	rm -f $@
	$(POD2MAN) $< $@

svtplay-dl.1.gz: svtplay-dl.1
	rm -f $@
	gzip -9 svtplay-dl.1

test:
	sh scripts/run-tests.sh $(TEST_OPTS)

install: svtplay-dl
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 svtplay-dl $(DESTDIR)$(BINDIR)

cover:
	sh scripts/run-tests.sh -C

pylint:
	$(MAKE) -C lib pylint

doctest: svtplay-dl
	sh scripts/diff_man_help.sh

release:
	git tag -m "New version $(NEW_RELEASE)" \
		-m "$$(git log --oneline $$(git describe --tags --abbrev=0 HEAD^)..HEAD^)" \
		$(NEW_RELEASE)

clean:
	$(MAKE) -C lib clean
	rm -f svtplay-dl
	rm -f $(MANFILE)
	rm -rf .tox

=== lib/Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-PYLINT_OPTS = --reports=no -d I -d C -d R -d W0511
-
 all: svtplay-dl
 
 clean:
@@ -17,7 +15,7 @@
                  svtplay_dl.postprocess
 export PYFILES = $(sort $(addsuffix /*.py,$(subst .,/,$(PACKAGES))))
 
-PYTHON ?= /usr/bin/env python
+PYTHON ?= /usr/bin/env python3
 
 VERSION = $(shell git describe 2>/dev/null || echo $(LATEST_RELEASE)-unknown)
 
@@ -36,7 +34,7 @@
 	done
 
 	# Add git version info to __version__, seen in --version
-	sed -i -e 's/^__version__ = "\([^"]\+\)"$$/__version__ = "$(VERSION)"/' \
+	sed -i -e 's/^__version__ = \(.*\)$$/__version__ = "$(VERSION)"/' \
 		.build/svtplay_dl/__init__.py
 
 	@# reset timestamps, to avoid non-determinism in zip file

=== debian/changelog ===
svtplay-dl (3.0-2) unstable; urgency=medium

  * Backport fixes to svtplay service support from 3.2

 -- Olof Johansson <olof@ethup.se>  Fri, 12 Mar 2021 19:21:49 +0100

svtplay-dl (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
    * Note that this version change does not signify any dramatic change
      in svtplay-dl as compared to 2.9, despite increasing the major
      version number.
  * debian/control: Bump standard version to 4.5.1

 -- Olof Johansson <olof@ethup.se>  Wed, 17 Feb 2021 22:21:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Olof Johansson <olof@ethup.se>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.17.0), git, zip, perl,
                python3 (>= 3.4), python3-argparse-manpage, python3-cryptography,
                python3-dateutil, python3-nose, python3-mock, python3-requests,

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,5 @@
 		--url https://svtplay-dl.se/ \
 		--output svtplay-dl.1
 
-svtplay-dl.1.gz: svtplay-dl.1
-	gzip --best $<
-
-override_dh_installman: svtplay-dl.1.gz
+override_dh_installman: svtplay-dl.1
 	dh_installman

## svtplay-dl 4.97.1

=== requirements.txt ===
requests
PySocks
cryptography
pyyaml

=== lib/Makefile ===
--- 
+++ 
@@ -17,12 +17,12 @@
 
 PYTHON ?= /usr/bin/env python3
 
-VERSION = $(shell git describe 2>/dev/null || echo $(LATEST_RELEASE)-unknown)
+VERSION = $(shell git describe --tags --dirty --always 2>/dev/null || echo $(LATEST_RELEASE)-unknown)
 
 svtplay-dl: $(PYFILES)
-	@# Verify that there's no .build already \
+	@# "Verify that there's no .build already"
 	! [ -d .build ] || { \
-		echo "ERROR: build already in progress? (or remove $(PWD)/.build/)"; \
+		echo "ERROR: build already in progress? (or remove $(CURDIR)/.build/)"; \
 		exit 1; \
 	}; \
 	mkdir -p .build
@@ -33,7 +33,7 @@
 		install $$py .build/$$py; \
 	done
 
-	# Add git version info to __version__, seen in --version
+	@# Add git version info to __version__, seen in --version
 	sed -i -e 's/^__version__ = \(.*\)$$/__version__ = "$(VERSION)"/' \
 		.build/svtplay_dl/__init__.py

=== debian/changelog ===
svtplay-dl (4.97.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 4.97.1 (Closes: #1061023, #1055578)
  * Remove dependency on python3-mock (Closes: #1069936)
  * Replace python3-nose by python3-pytest (Closes: #1018643)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 Aug 2024 02:29:49 +0200

=== debian/control ===
Source: svtplay-dl
Section: utils
Priority: optional
Maintainer: Olof Johansson <olof@ethup.se>
Standards-Version: 4.5.1
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-argparse-manpage,
 python3-cryptography,
 python3-dateutil,
 python3-requests,
 python3-pytest <!nocheck>,
 python3-requests-mock <!nocheck>,
 python3-yaml,
 zip,
Rules-Requires-Root: no
Homepage: https://github.com/spaam/svtplay-dl
Vcs-Git: https://salsa.debian.org/olof/svtplay-dl.git
Vcs-Browser: https://salsa.debian.org/olof/svtplay-dl

Package: svtplay-dl
Depends:
 ffmpeg | libavtools,
 python3,
 python3-cryptography,
 python3-dateutil,
 python3-requests,
 python3-yaml,
 ${python3:Depends},
 ${misc:Depends}
Suggests:
 python3-socks
Architecture: all
Description: program to download videos from video sites
 svtplay-dl is a command line application for downloading videos
 from various online video websites, with a special focus on nordic
 or scandinavian services, like SVTplay, TV4play, Sveriges Radio,
 Aftonbladet, DR, NRK, RUV and more.

=== debian/rules ===
--- 
+++ 
@@ -31,5 +31,8 @@
 		--url https://svtplay-dl.se/ \
 		--output svtplay-dl.1
 
+override_dh_auto_test:
+	pytest
+
 override_dh_installman: svtplay-dl.1
 	dh_installman
